ALLVERSUSALL(1e)

NAME
allversusall - Sequence similarity data from all-versus-all comparison.

SYNOPSIS

allversusall -seqinpath dirlist [-matrix matrixf] [-gapopen float] [-gapextend float] -datoutdir outdir -logfile outfile

allversusall -help

DESCRIPTION

allversusall is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Utils:Database creation" command group(s).

OPTIONS

  Input section

-seqinpath dirlist
    Default value: ./

-matrix matrixf
    This option specifies the residue substitution matrix that is used for sequence comparison. Default value: EBLOSUM62

  Required section

  Additional section

-gapopen float
    This option specifies the gap insertion penalty. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: 10

-gapextend float
    This option specifies the gap extension penalty. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring. Default value: 0.5

  Output section

-datoutdir outdir
    This option specifies the location of sequence similarity data files (output). Default value: ./

-logfile outfile
    This option specifies the name of ALLVERSUSALL log file (output). The log file contains messages about any errors arising while ALLVERSUSALL ran. Default value: allversusall.log

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

allversusall is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.